RegisterExternalCertificate

Prev Next

Available in Classic and VPC

Add an SSL certificate issued by a recognized certificate authority outside of NAVER Cloud Platform.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /certificate/withExternal

Request headers

For information about the headers common to all Certificate Manager APIs, see Common Certificate Manager headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
certificateName String Required Certificate name
privateKey String Required PEM-encoded certificate private key
publicKeyCertificate String Required PEM-encoded certificate body
  • Can't be duplicated.
certificateChain String Required PEM-encoded certificate chain

Request example

The request example is as follows:

curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v1/certificate/withExternal' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
    "certificateName": {Certificate Name},
    "privateKey": {Private Key},
    "publicKeyCertificate": {Public Key Certificate},
    "certificateChain": {Certificate Chain}
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
returnCode String - Response code
returnMessage String - Response message
totalRows Integer - Total number of lists searched
sslCertificateList Array - Certificate list

sslCertificateList

The following describes sslCertificateList.

Field Type Required Description
certificateNo Integer - Certificate number
certificateType String - Certificate type
certificateName String - Certificate name
memberNo String - User's NAVER Cloud Platform member ID
dnInfo String - Certificate distinguished name (DN) information
domainAddress String - Representative domain address of the certificate
subDomainAddress String - Sub domain address of the certificate
regDate Date - Certificate registration date and time
validStartDate Date - Certification validity start date and time
validEndDate Date - Certification validity end date and time
revokeDate Date - Certificate revocation date and time
statusCode String - Certificate status code
statusName String - Certificate status
externalYn String - External certificate status
domainCode String - Domain code
caInfo String - Certificate authority (CA) information
certSerialNumber String - Certificate serial number
certPublicKeyInfo String - Public key information
certSignAlgorithmName String - Signature algorithm
usedInstanceNoList String - List of instances using the certificate
updateDate Date - Latest change date and time

Response status codes

For information about the HTTP status codes common to all Certificate Manager APIs, see Common Certificate Manager response status codes.

Response example

The response example is as follows:

{
    "returnCode": "0",
    "returnMessage": "Success",
    "totalRows": 1,
    "sslCertificateList": [
        {
            "certificateNo": 30728,
            "certificateType": "EXT",
            "certificateName": "zero-certi",
            "memberNo": "*******",
            "dnInfo": "CN=************.***.kr",
            "domainAddress": "************.***.kr",
            "subDomainAddress": "",
            "regDate": "2024-07-30 11:33:33",
            "validStartDate": "2024-07-30 09:00:00",
            "validEndDate": "2024-10-29 08:59:59",
            "statusCode": "1",
            "statusName": "Normal",
            "externalYn": "Y",
            "domainCode": "PUB",
            "caInfo": "ZeroSSL RSA Domain Secure Site CA",
            "certSerialNumber": "92cf99ce**************a6205a5018",
            "certPublicKeyInfo": "Sun RSA public key, 2048 bits",
            "certSignAlgorithmName": "SHA384withRSA",
            "updateDate": "2024-07-30 11:33:33"
        }
    ]
}